{-----------------------------------------------------------------------------
Picture conversion algorithm - ported from SCRPLUS (C) Edward Cree 2010
from C to Delphi.

------------------------------------------------------------------------------
                       IMAGE2ULAPLUS.DPR - main program
------------------------------------------------------------------------------

This file is part of Image2ULAPlus.

Image2ULAPlus is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Image2ULAPlus is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
------------------------------------------------------------------------------
The Initial Developer of the Original ULAPlus conversion algorithm is
Edward Cree (C) Copyright 2010. Portions created by Klaus Jahn are
Copyright (C) 2011. All Rights Reserved.

Contributor(s): Edward Cree.

You may retrieve the latest version of this file at the ZX-Modules home page,
located at http://www.zxmodules.de

-------------------------------------------------------------------------------
Cross-referenced components and libraries that are not part of this source:

- Delphi 2006 components (c) 1995-2004 Borland Software Corporation
-----------------------------------------------------------------------------}

Program Image2ULAPlus;

uses
  Windows,
  Forms,
  main in 'main.pas' {MainForm},
  progresses in 'progresses.pas' {ProgressbarForm},
  zxpformat in 'zxpformat.pas',
  ulaplus in 'ulaplus.pas',
  renderer in 'renderer.pas',
  yuv_helper in 'yuv_helper.pas',
  waiting in 'waiting.pas' {WaitingForm};

{$R *.res}

Var
  gui:Boolean;

Begin
  Application.Initialize;
  ULAPlusRenderer.CheckCommandParams(gui);
  If gui Then Application.CreateForm(TMainForm, MainForm)
    Else Application.CreateForm(TWaitingForm, WaitingForm);
  Application.CreateForm(TProgressbarForm, ProgressbarForm);
  Application.Run;
End.
